Page 1 sur 2

probleme de firmware

Posté : dim. 4 févr. 2018 18:34
par range59
bonjour a tous, depuis ce matin j ai un probleme avec mon APM2.8.
je l ai branché a mon ordi comme d habitude, je lance pour mettre a jour le firmware, donc je selectionne bien APM copter V3.5.5 Quad
il lance le telechargement et une fois fini je connect mon quad, jusque la impeccable, un cadre vient se mettre au milieu pour voir defiler les mises a jour, et une fois fini il me mets le message erreur suivant

YOU CANNOT LOAD NEW FIRMWARE WHILE CONNECTED VIA MAVLINK, PLEASE PRESS THE DISCONNECT BUTTON AT TOP RIGHT TO END THE CURRENT MAVLINK SESSION AND ENABLE THE FIRMWARE LOADING SCREEN.

comme je peux y remedier merci
Image

Re: probleme de firmware

Posté : dim. 4 févr. 2018 19:35
par range59
en plus je viens de m apercevoir, que j ai aucun retour d informations de l APM sur mon ecran, j ai tout ce que j ai paramétré dans OSD config a l ecran.
mais aucune valeur de batterie, l horizon ne bouge pas quand je bouge le drone.......etc......etc
comme si ma camera, mon transmetteur et l osd étaient branché sans l apm
pourtant j ai bien branché ou il y a les 6 broches en ligne le 5v, le RX et le GND a la telemetrie de l APM. qui lui est branché sur TELEM
et de l autre coté le IN VIDEO, OUT VIDEO le 12v et le GND
en plus le probleme du firmware ça commence a :85: :85: :85:
voici une photo de l arrière de l OSD



Image

Re: probleme de firmware

Posté : dim. 4 févr. 2018 20:25
par Wovokaa
Salut,
comme déjà dit des dizaines et des dizaines de fois, une APM sera limitée au fw3.2.1, et donc ton V3.5.5 Quad, ce n'est même pas la peine d'y penser :nono:

Re: probleme de firmware

Posté : dim. 4 févr. 2018 20:38
par discotd5
Re.

Wovokaa tu es musicos, tu devrais l' enregistrer sur l' air des lampions. :mdr1:
peut etre que ça marcherait.
Perso meme plus je réponds. Je renvoie sur "Guide (incomplet) sur l'APM "

A+

Re: probleme de firmware

Posté : dim. 4 févr. 2018 21:13
par range59
merci a vous deux, mais ça il faut le savoir, je n ai pas le temps de rester sur le net a prendre les dernieres info.
mais un grand merci pour votre reponse.
en faite je peux mettre a la poubelle mon APM et prendre a la place PIXHAWK
je n aurais pas du prendre les mises a jours de mission planner

Re: probleme de firmware

Posté : dim. 4 févr. 2018 21:25
par range59
remarquez non je garde mon APM 2.8, mais je ne ferai plus les mises a jours de firmware .
et je reste en 3.2.1

Re: probleme de firmware

Posté : lun. 5 févr. 2018 21:18
par range59
salut
bon j ai un problème, je n arrive plus a calibrer mes esc dans mission planner, et ça vient du firmware il me dit un truc comme.
"set param error, please ensure your version is AC3.3+"
la je plante complètement, avant l hiver tout allé bien, je le laisse deux mois tranquille bien au chaud, la je le ressort hier pour le préparer pour les beaux jours qui arrivent, je le branche a mon ordi, lance mission planner et voila plus rien ne fonctionne ça me prends la tête :85: :85:
comment savoir sur quel firmware est il
je suis allé voir sur le net a droite et a gauche et j ai trouvé sur ce site, une explication mais ça ne fonctionne pas, en mission planner j ai la version 1.3.49 et dans celle ci je n ai pas dans install firmware "pick previous firmware"
pourriez vous m aider merci bonne soirée

Re: probleme de firmware

Posté : lun. 5 févr. 2018 21:42
par range59
je suis bien en 3.2.1 "voir photo"
alors le probleme avec AC3+3 c est quoi ???????????????????????????????
comment faire un reset total de l apm 2.8 pour repartir a zero, j appuis sur reset et il ne se passe pas grand chose


Image

Re: probleme de firmware

Posté : mar. 6 févr. 2018 05:34
par discotd5
Re.

Pour l' APM, je n' ai jamais compris cette histoire de bouton reset ! :97:

Pour commencer, ta version de Misson Planer n' est pas la bonne.
Tu es en 1.3.49. La version maxi supportée pour l' APM est la 1.3.37 Donc, on vire tout et on recommence.
Désinstaller Mission Planner.

1/ Telecharger et installer Mision Planner 1.3.37
http://firmware.ardupilot.org/Tools/Mis ... r/archive/
Sélectionner l' archine version 1.3.37 déziper./ installer.

2/ une fois MP réinstallé, tu vas dans initial setup / install Firmware / choisir : Antenna tracker
selectionner le bon port COM, sans connecter
Tu installes.
En fait, pour faire un changement de Firmware, Mission Planner va faire effacer le Pgrm et réinstaller.

3/ Une fois fait, retour à la case départ: setup / install Firmware /Pick previous firmware. Sélectionner :
AR2 49 AP3.3 AC 3.2.1
Sous Le symbole du quad, la version du Firmware va apparaître: ArduCopter V3.2.1 Quad
Tu cliques sur le symbole du quad, l' installation démarre.
Quand c' est fini, tu as "Done" qui s' affiche sous la ligne.

4/ Tu Passes au Wizard...
(inutile de calibrer le battery monitor pour le moment.)

5/ Tu vas là:
viewtopic.php?f=51&t=14952
Tu y trouves le déroulement de la suite.

A+

Re: probleme de firmware

Posté : mar. 6 févr. 2018 07:57
par range59
bonjour et merci discodt5, tu me sors de la m.......e.
je me voyais acheter encore un module a 100€.
que j ai l APM
alors pourquoi comme l APM est depassé, ils continuent a faire des firmwares, et des mises a jours de mission planner, en sachant que l APM ne le prends plus :100: :100:
certainement pour d autres module????????
encore merci je fais ça ce soir bonne journée
c est normal que mon APM avant l hiver qui fonctionnait impeccable, que maintenant plus rien, il faut peut etre mettre de temps en temps sur tension?????
encore merci

Re: probleme de firmware

Posté : mar. 6 févr. 2018 09:39
par alainlive
L"apm est dépasser depuis un moment elle peut encore servir sur des montage de base avion ou autre
depuis environs trois ans c'est la pixhawk beaucoup plus performante vendu sous plusieurs forme comme la dropix carte française

Image

et depuis plus d'un an la pixhawk 2.1 et la dropix v3 pro les plus performante mais la c'est pas le mème prix ::d

Image

Re: probleme de firmware

Posté : mar. 6 févr. 2018 10:14
par discotd5
Re.

"c est normal que mon APM avant l hiver qui fonctionnait impeccable, que maintenant plus rien, il faut peut être mettre de temps en temps sur tension"
Non. Tu as du bricoler quelque chose.

Pour le développement, des versions actuelles, il est destiné à la Pixhawk beaucoup plus performante en terme de calcul et de mémoire.
L' intérêt pour nous, en terme de loisir, perso je ne le vois pas, pourtant j' utilise les 2.
A chacun sa position, je ne me sens aucunement concerné par les histoires de parachute et autres gadgets qui compliquent inutilement les paramètres. C' est avant tout destiné à des homologations pour des professionnels dont je me tiens soigneusement à l' écart ...

Le firmware en avion par contre est plus clair (plus souple) dans les versions actuelles.

A+

Re: probleme de firmware

Posté : mar. 6 févr. 2018 17:36
par range59
punaise c est bien ma chance, le lien pour prendre l ancien mission planner ne fonctionne pas et meme sur google :x :x :x

Re: probleme de firmware

Posté : mar. 6 févr. 2018 17:58
par discotd5
Re.

Exact.
Le lien fonctionnait ce matin :123:
La base de donnée doit etre en cours de réfection.

Je peux pas te mettre le mien en fichier joint, il fait 34 Mo.
Restes à l' ècoute, et passes moi ton Mail en MP .
Je vais essayer le le passer en "free gros fichier"

Tu n' auras qu' à aller le chercher avec ton Email.
A+

Re: probleme de firmware

Posté : mar. 6 févr. 2018 19:58
par discotd5
Re.

Lien du téléchargement:
http://dl.free.fr/oZlZMOTJw
Le mot de passe est dans tes MP.

A+

Re: probleme de firmware

Posté : mar. 6 févr. 2018 20:14
par Dehas
Il y a un truc que je ne comprends pas, je suis en version 1.3.52 et tout fonctionne très bien, L' APM réagis bien, mes réglages sont bien pris et valides, quand on flashe le firmware, Mp dis que la carte n'est plus prise en compte et te charge la dernière version valide, que ce soit en Copter que Plane ou autre !!!!!

PS: il me semble que le firmware 3.2.1 ne supporte pas la calibration des ESC, je ne suis pas sur.

Re: probleme de firmware

Posté : mar. 6 févr. 2018 20:29
par discotd5
Re.

Je ne connais pas de calibration des ESC dans MP 1.3.37. je ne pense pas qu' elle y soit.
Pour Mission Planner, les versions post 1.3.37 font appel à des paramètres (ou des fonctions ?) qui n' existent pas dans le firmware de l' APM.
Un jour ou l' autre, ça plante...
C' est bien dit dans le wiki, j' ai la flemme de rechercher ou. :85:

A+

Re: probleme de firmware

Posté : mar. 6 févr. 2018 20:32
par Dehas
Pour moi pas de soucis, je continue comme ça.

Re: probleme de firmware

Posté : mar. 6 févr. 2018 20:38
par discotd5
Re.

Si ça marche, pas de raison de changer, mais perso je suis bête et discipliné; si sur le WiKi on me dit de faire d' une manière, je fais ce qu' on me dit.
J' ai pas les compétences pour improviser. :97:

Un petit ajout, j' ai retrouvé la page du WiKi:
"The APM2.6 board is no longer supported for Copter or Plane. The last firmware builds that can be installed are AC v3.2.1 and Plane 3.3.0."
En plus, la dernière version de MP demande l' installation des net.framework 4.6.1 , non compatible avec ma station en W7 64 !

A+

Re: probleme de firmware

Posté : mer. 7 févr. 2018 03:11
par discotd5
Re.
Le serveur Ardupilot est à nouveau actif !
A+

Re: probleme de firmware

Posté : mer. 7 févr. 2018 16:26
par range59
Super merci, j'ai réussi à calibré mes esc, mon problème en plus du firmware, et mon récepteur radio fonctionnait très mal, j ai dû refaire les synchronisations.
Bizarre merci encore pour ta version de MP sympa
Maintenant je vais tout recommencer au début

Re: probleme de firmware

Posté : mer. 7 févr. 2018 17:03
par discotd5
Re

Bon courage, au début c' est tjrs un peu compliqué !

A+

Re: probleme de firmware

Posté : mer. 7 févr. 2018 18:50
par furynick
Pour info, la liste des paramètres est téléchargée depuis le firmware quelle que soit la version de MP.
Il n'y a donc aucune chance qu'un paramètre de la 3.3+ puisse atterrir dans la 3.2

Re: probleme de firmware

Posté : ven. 31 mai 2019 10:29
par bau1945
discotd5 a écrit :
mar. 6 févr. 2018 05:34
Pour commencer, ta version de Misson Planer n' est pas la bonne.
Tu es en 1.3.49. La version maxi supportée pour l' APM est la 1.3.37 Donc, on vire tout et on recommence.
Désinstaller Mission Planner.
Bonjour,

est-ce que quelqu'un aurait un lien pour télécharger la version ultérieur de mission planner : la version 1.3.37 . En effet j'ai une carte APM 2.8 et j'ai un probleme avec la toute dernière version de mission planner et IMPOSSIBLE de la trouver sur le site du fabricant ardupilot

Merci d'avance :)

Re: probleme de firmware

Posté : ven. 31 mai 2019 10:38
par Dehas
Tu la trouveras ici: http://firmware.ardupilot.org/Tools/Mis ... r/archive/
Par contre, il faudrait que tu passe par la section "Présentation" ( viewforum.php?f=3 ), on pourra se connaître un peu !!